var gTabMix_preferencesOverlay = {
   init: function gTabMix_preferencesOverlay_init(aEvent) {
      var prefWindow = aEvent.target.documentElement;

      this.onPaneLoad(prefWindow.lastSelected);

      eval("prefWindow.showPane ="+prefWindow.showPane.toString().replace(
      'this._outer._selectPane(this._pane);',
      '$& gTabMix_preferencesOverlay.onPaneLoad(this._pane.id);'
      ));
   },

   onPaneLoad: function gTabMix_preferencesOverlay_onPaneLoad(aPaneID) {
      switch (aPaneID) {
         case "paneTabs":
            this.loadOverlay();
         break;
         case "panePrivacy":
            this.onPanePrivacyLoad();
         break;
         default:
      }
   },

/* ........ paneTabs .............. */
   loadOverlay: function () {
      var preferences = document.getElementById("paneTabs").childNodes[0];
      // in Firefox 1.5 there is no id
      if (!preferences.hasAttribute("id")) {
         preferences.setAttribute("id", "tabsPreferences");
         document.getElementById("hideTabBar").setAttribute("hidden", "true");
      }
      else {
         document.getElementById("showTabBar").setAttribute("hidden", "true");
      }

      function OverlayLoadObserver() { }
      OverlayLoadObserver.prototype = { 
         _outer: this,
         observe: function (aSubject, aTopic, aData) {
            this._outer._afterOverlayLoaded();
         }
      };
      var obs = new OverlayLoadObserver();
      document.loadOverlay("chrome://tabmixplus/content/pref/tab_panel.xul", obs);

   },

   _afterOverlayLoaded: function () {
      document.getElementById("_hideTabbar").value = document.getElementById("extensions.tabmix.hideTabbar").value;
      var radiogroup = document.getElementById('linkTargeting');
      radiogroup.removeAttribute('onsyncfrompreference');
      radiogroup.value = document.getElementById("browser.link.open_external").value;
      var current_tab = document.getElementById("current_tab");
      current_tab.setAttribute('label', currentLabel);
      current_tab.removeAttribute('hidden');

      if (document.getElementById('BrowserPreferences')._shouldAnimate)
         window.sizeToContent();
   },

   showTabmixOptions: function () {
      var windowMediator = Components.classes["@mozilla.org/appshell/window-mediator;1"]
                           .getService(Components.interfaces.nsIWindowMediator);

      var browserWindow = windowMediator.getMostRecentWindow('navigator:browser');
      
      if (!browserWindow) {
         var tabmixopt = windowMediator.getMostRecentWindow("mozilla:tabmixopt");
         if (tabmixopt)
            tabmixopt.close();

         var stringBundle = Components.classes["@mozilla.org/intl/stringbundle;1"]
                  .getService(Components.interfaces.nsIStringBundleService)
                  .createBundle("chrome://tabmixplus/locale/tabmix.properties");
         var title = stringBundle.GetStringFromName("tabmixoption.error.title");
         var msg = stringBundle.GetStringFromName("tabmixoption.error.msg");

         var promptService = Components.classes["@mozilla.org/embedcomp/prompt-service;1"]
                                    .getService(Components.interfaces.nsIPromptService);
         promptService.alert(window, title, msg);
      }
      else
         browserWindow.TMP_openDialog(-1);
   },

/* ........ panePrivacy .............. */

   onPanePrivacyLoad: function () {
       var clearDataNow = document.getElementById("clearDataNow");
       //clearPrivateDataNow not exist in firefox 1.5
       if (clearDataNow)
          clearDataNow.setAttribute("oncommand", "TMP_Sanitizer.tryToSanitize(); " + clearDataNow.getAttribute("oncommand"));
   }

}
